﻿@page "/"
@namespace FOM_ToDo.Pages
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>FOM-ToDo</title>

    <base href="~/" /> @*WICHTIG!!! Basisreferenz für Routing*@

    @*Front-end toolkit einladen*@
    <link rel="stylesheet" href="css/bootstrap/bootstrap.min.css" />
    @*Globale Statische Stylescheets*@
    <link href="css/site.css" rel="stylesheet" />
    @*Plazhalter für Bündelung mittels CSS-Isolation *@
    <link href="FOM-ToDo.styles.css" rel="stylesheet" />
</head>
<body>
    <component type="typeof(App)" render-mode="ServerPrerendered" />
    @*Server Prerendered sorgt für ein schnelles Laden bei erstem Aufruf der Seite.
      Eine statische HTML Page wird vorab erzeugt die direkt bei Aufruf zur verfügung steht.
      Danach tausche das Framework nach und nach die Komponenten gegen die interaktiven Elemente aus.*@

    <div id="blazor-error-ui">
        <environment include="Staging,Production">
            An error has occurred. This application may no longer respond until reloaded.
        </environment>
        <environment include="Development">
            An unhandled exception has occurred. See browser dev tools for details.
        </environment>
        <a href="" class="reload">Reload</a>
        <a class="dismiss">🗙</a>
    </div>

    <script src="_framework/blazor.server.js"></script>
    @* Diese Javascript File sorgt für die implementierung der SPA Architektur.
       Es wird die DOM gehooked und alle anfragen per SignalR an den Server gesendet und
       auf antworten des Servers, ebenfalls per SignalR reagiert.*@
</body>
</html>
